Package org.eclipse.mat.parser.internal.oql.compiler

# Class Query.SelectItem

java.lang.Object
org.eclipse.mat.parser.internal.oql.compiler.Query.SelectItem

Enclosing class:
  `Query`

public static class Query.SelectItem extends Object

## Constructor Summary

Constructors
Constructor
Description
`SelectItem(String name, Expression expression)`

## Method Summary

Modifier and Type
Method
Description
`Expression`
`getExpression()`
`String`
`getName()`
`void`
`setExpression(Expression expression)`
`void`
`setName(String name)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SelectItem

public SelectItem(String name, Expression expression)

## Method Details

### getExpression

public Expression getExpression()

### setExpression

public void setExpression(Expression expression)

### getName

public String getName()

### setName

public void setName(String name)

### toString

public String toString()

Overrides:
  `toString` in class `Object`